## fonts-smc-chilanka 1.2.0

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Chilanka-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=1.2
default: compile
all: compile webfonts test
compile:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version);\
	done;

webfonts:woff woff2
woff: compile
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $$font.ttf;\
	done;
woff2: compile
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $$font.ttf;\
	done;

install: compile
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $${font}.otf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

test: compile
# Test the fonts
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-*

=== debian/changelog ===
fonts-smc-chilanka (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Updated Build-deps: fonttools -> python-fonttools. Thanks Adrian Bunk.
      (Closes: #876832)
    + Updated Standards-Version to 4.1.1

 -- Kartik Mistry <kartik@debian.org>  Sat, 21 Oct 2017 12:59:55 +0530

fonts-smc-chilanka (1.2.0-1) unstable; urgency=low

  [ Balasankar C ]
  * Team upload.
  * Initial release (Closes: #844316)

 -- Kartik Mistry <kartik@debian.org>  Sat, 24 Dec 2016 16:26:15 +0530

=== debian/control ===
Source: fonts-smc-chilanka
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Balasankar C <balasankarc@autistici.org>
Build-Depends: debhelper (>= 9~),
               fontforge (>= 1:20161005~dfsg),
               libharfbuzz-bin,
               python-fontforge,
               python-fonttools
Standards-Version: 4.1.1
Homepage: http://smc.org.in

Package: fonts-smc-chilanka
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Chilanka malayalam font
 This package provides Chilanka font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/chilanka-$1\.tar\.gz/g \
  https://gitlab.com/smc/chilanka/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## fonts-smc-chilanka 1.3.1

=== Makefile ===
#!/usr/bin/make -f

fontpath=/usr/share/fonts/truetype/malayalam
fonts=Chilanka-Regular
feature=features/features.fea
PY=python2.7
buildscript=tools/build.py
version=1.3
outdir=build
default: ttf
all: clean ttf webfonts test
.PHONY: ttf
ttf:
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t ttf -i $$font.sfd -f $(feature) -v $(version);\
	done;

webfonts:woff woff2
woff: ttf
	@rm -rf *.woff
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff -i $(outdir)/$$font.ttf;\
	done;
woff2: ttf
	@rm -rf *.woff2
	@for font in `echo ${fonts}`;do \
		$(PY) $(buildscript) -t woff2 -i $(outdir)/$$font.ttf;\
	done;

install: ttf
	@for font in `echo ${fonts}`;do \
		install -D -m 0644 $(outdir)/$${font}.ttf ${DESTDIR}/${fontpath}/$${font}.ttf;\
	done;

ifeq ($(shell ls -l $(outdir)/*.ttf 2>/dev/null | wc -l),0)
test: ttf run-test
else
test: run-test
endif

run-test:
	@for font in `echo ${fonts}`; do \
		echo "Testing font $${font}";\
		hb-view $(outdir)/$${font}.ttf --font-size 14 --margin 100 --line-space 1.5 --foreground=333333  --text-file tests/tests.txt --output-file tests/$${font}.pdf;\
	done;
clean:
	@rm -rf *.otf *.ttf *.woff *.woff2 *.sfd-* tests/*.pdf $(outdir)

=== debian/changelog ===
fonts-smc-chilanka (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch fix-makefile-errors.patch - applied upstream.

 -- Balasankar C <balasankarc@debian.org>  Sat, 03 Nov 2018 09:50:01 +0530

fonts-smc-chilanka (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Backport patch from upstream
    + fix-makefile-errors.patch
  * Bump Standards-Version to 4.2.1
  * Bump debhelper compatibility to 11

 -- Balasankar C <balasankarc@debian.org>  Sun, 23 Sep 2018 18:23:51 +0530

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
-Uploaders: Balasankar C <balasankarc@autistici.org>
-Build-Depends: debhelper (>= 9~),
+Uploaders: Balasankar C <balasankarc@debian.org>
+Build-Depends: debhelper (>= 11~),
                fontforge (>= 1:20161005~dfsg),
                libharfbuzz-bin,
                python-fontforge,
                python-fonttools
-Standards-Version: 4.1.1
-Homepage: http://smc.org.in
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-chilanka.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-chilanka
+Standards-Version: 4.2.1
+Homepage: https://smc.org.in
 
 Package: fonts-smc-chilanka
 Architecture: all

## fonts-smc-chilanka 1.400

=== Makefile ===
#!/usr/bin/make -f

NAME=Chilanka
FONTS=Regular
INSTALLPATH=/usr/share/fonts/opentype/malayalam
PY=python3
version=`cat VERSION`
TOOLDIR=tools
SRCDIR=sources
webfontscript=$(TOOLDIR)/webfonts.py
tests=tests
BLDDIR=build
default: otf
all: clean lint otf ttf webfonts test
OTF=$(FONTS:%=$(BLDDIR)/$(NAME)-%.otf)
TTF=$(FONTS:%=$(BLDDIR)/$(NAME)-%.ttf)
WOFF2=$(FONTS:%=$(BLDDIR)/$(NAME)-%.woff2)
PDFS=$(FONTS:%=$(BLDDIR)/$(NAME)-%-ligatures.pdf)   \
	$(FONTS:%=$(BLDDIR)/$(NAME)-%-content.pdf)      \
	$(FONTS:%=$(BLDDIR)/$(NAME)-%-table.pdf)

$(BLDDIR)/%.otf: $(SRCDIR)/%.ufo
	@echo "  BUILD    $(@F)"
	@fontmake --validate-ufo --verbose=WARNING -o otf --output-dir $(BLDDIR) -u $<

$(BLDDIR)/%.ttf: $(SRCDIR)/%.ufo
	@echo "  BUILD    $(@F)"
	@fontmake --verbose=WARNING -o ttf --output-dir $(BLDDIR) -u $<

$(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
	@echo "WEBFONT    $(@F)"
	@$(PY) $(webfontscript) -i $<

$(BLDDIR)/%-table.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@fntsample --font-file $< --output-file $(BLDDIR)/$(@F)        \
		--style="header-font: Noto Sans Bold 12"                   \
		--style="font-name-font: Noto Serif Bold 12"               \
		--style="table-numbers-font: Noto Sans 10"                 \
		--style="cell-numbers-font:Noto Sans Mono 8"

$(BLDDIR)/%-ligatures.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
		--foreground=333333 --text-file $(tests)/ligatures.txt \
		--output-file $(BLDDIR)/$(@F);

$(BLDDIR)/%-content.pdf: $(BLDDIR)/%.ttf
	@echo "   TEST    $(@F)"
	@hb-view $< --font-size 14 --margin 100 --line-space 1.5 \
		--foreground=333333 --text-file $(tests)/content.txt \
		--output-file $(BLDDIR)/$(@F);

ttf: $(TTF)
otf: $(OTF)
webfonts: $(WOFF2)
lint: ufolint
ufo: glyphs ufonormalizer lint

ufolint: $(SRCDIR)/*.ufo
	$@ $^
ufonormalizer: $(SRCDIR)/*.ufo
	@for variant in $^;do \
		ufonormalizer -m $$variant;\
	done;
install: otf
	@mkdir -p ${DESTDIR}${INSTALLPATH}
	install -D -m 0644 $(BLDDIR)/*.otf ${DESTDIR}${INSTALLPATH}/

test: ttf otf $(PDFS)
	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/vertical_metrics_regressions $(BLDDIR)/*.ttf
	fontbakery check-fontval $(BLDDIR)/*.ttf
	fontbakery check-opentype $(BLDDIR)/*.otf

clean:
	@rm -rf $(BLDDIR)

=== requirements.txt ===
Brotli>=1.0.7
fontmake==1.9.3
pyyaml
ufolint>=0.3.5
ufonormalizer>=0.3.6
fontbakery>=0.7.5

=== debian/changelog ===
fonts-smc-chilanka (1.400-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Update copyright info match new directory structure.
  * Disable tests temporarily since fontbakery is not packaged yet.

 -- Balasankar C <balasankarc@debian.org>  Sat, 20 Jul 2019 16:30:38 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
 Uploaders: Balasankar C <balasankarc@debian.org>
 Build-Depends: debhelper (>= 11~),
-               fontforge (>= 1:20161005~dfsg),
-               libharfbuzz-bin,
-               python-fontforge,
-               python-fonttools
+               fntsample,
+               fontmake,
+               libharfbuzz-bin
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-chilanka.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-chilanka
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://smc.org.in
 
 Package: fonts-smc-chilanka

=== debian/watch ===
version=4
opts=filenamemangles=s/.*Version(\d\S+).chilanka-Version(\d\S+)\.tar\.gz/anjalioldpipi-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/chilanka/tags?sort=updated_desc .*chilanka-Version(\d\S+)\.tar\.gz

## fonts-smc-chilanka 1.510

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 version=`cat VERSION`
 TOOLDIR=tools
 SRCDIR=sources
-webfontscript=$(TOOLDIR)/webfonts.py
 tests=tests
 BLDDIR=build
 default: otf
@@ -29,7 +28,7 @@
 
 $(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
 	@echo "WEBFONT    $(@F)"
-	@$(PY) $(webfontscript) -i $<
+	@fonttools ttLib.woff2 compress  $<
 
 $(BLDDIR)/%-table.pdf: $(BLDDIR)/%.ttf
 	@echo "   TEST    $(@F)"

=== debian/changelog ===
fonts-smc-chilanka (1.510-1) unstable; urgency=medium

  * New upstream release.
  * Bump Debhelper compatibility to 13.
  * Declares Rules-require-root

 -- Balasankar C <balasankarc@debian.org>  Fri, 01 May 2020 16:35:48 +0530

fonts-smc-chilanka (1.500-1) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Switched to debhelper-compat.
  * Added debian/gitlab-ci.yml for simple CI builds.
  * Added debian/upstream/metadata file.
  * Cleanup debian/copyright file.

  [ Balasankar C ]
  * debian/control:
    + Set Maintainer to Debian Fonts Task Force.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Apr 2020 22:07:47 +0530

=== debian/control ===
Source: fonts-smc-chilanka
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>,
Build-Depends: debhelper-compat (= 13),
               fntsample,
               fontmake,
               libharfbuzz-bin,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-chilanka.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-chilanka
Homepage: https://smc.org.in
Rules-Requires-Root: no

Package: fonts-smc-chilanka
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Chilanka malayalam font
 This package provides Chilanka font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

## fonts-smc-chilanka 1.530

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 
 test: ttf otf $(PDFS)
 	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
-	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/vertical_metrics_regressions $(BLDDIR)/*.ttf
+	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/vertical_metrics_regressions -x com.google.fonts/check/repo/zip_files $(BLDDIR)/*.ttf
 	fontbakery check-fontval $(BLDDIR)/*.ttf
 	fontbakery check-opentype $(BLDDIR)/*.otf

=== requirements.txt ===
Brotli>=1.0.7
fontmake>=2.0.10
pyyaml
ufolint>=0.4.1
ufonormalizer>=0.3.6
fontbakery>=0.7.21

=== debian/changelog ===
fonts-smc-chilanka (1.530-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1.

 -- Balasankar C <balasankarc@debian.org>  Sun, 03 Jan 2021 22:34:47 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                fntsample,
                fontmake,
                libharfbuzz-bin,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-chilanka.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-chilanka
 Homepage: https://smc.org.in

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f *.ttf
	rm -f tests/*.pdf

override_dh_auto_test:

## fonts-smc-chilanka 1.540

=== Makefile ===
--- 
+++ 
@@ -20,11 +20,11 @@
 
 $(BLDDIR)/%.otf: $(SRCDIR)/%.ufo
 	@echo "  BUILD    $(@F)"
-	@fontmake --validate-ufo --verbose=WARNING -o otf --output-dir $(BLDDIR) -u $<
+	@fontmake --validate-ufo --verbose=WARNING -o otf --flatten-components --output-dir $(BLDDIR) -u $<
 
 $(BLDDIR)/%.ttf: $(SRCDIR)/%.ufo
 	@echo "  BUILD    $(@F)"
-	@fontmake --verbose=WARNING -o ttf --output-dir $(BLDDIR) -u $<
+	@fontmake --verbose=WARNING -o ttf --flatten-components --output-dir $(BLDDIR) -u $<
 
 $(BLDDIR)/%.woff2: $(BLDDIR)/%.otf
 	@echo "WEBFONT    $(@F)"
@@ -68,7 +68,7 @@
 
 test: ttf otf $(PDFS)
 	fontbakery check-ufo-sources $(SRCDIR)/*.ufo
-	fontbakery check-googlefonts -x com.google.fonts/check/name/license -x com.google.fonts/check/version_bump -x com.google.fonts/check/vertical_metrics_regressions -x com.google.fonts/check/repo/zip_files $(BLDDIR)/*.ttf
+	fontbakery check-googlefonts -x com.google.fonts/check/version_bump -x com.google.fonts/check/repo/zip_files $(BLDDIR)/*.ttf
 	fontbakery check-fontval $(BLDDIR)/*.ttf
 	fontbakery check-opentype $(BLDDIR)/*.otf

=== requirements.txt ===
Brotli>=1.0.9
fontmake>=2.4.0
pyyaml
ufolint>=1.2.0
ufonormalizer>=0.5.3
fontbakery>=0.7.34

=== debian/changelog ===
fonts-smc-chilanka (1.540-2) unstable; urgency=low

  [ Kartik Mistry ]
  * Team upload.
  * debian/source/lintian-overrides:
    + Added override about missing source of index.html, source is content.txt
      in the same directory.
   * Updated Standards-Version to 4.6.2
   * Updated debian/copyright.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

 -- Kartik Mistry <kartik@debian.org>  Mon, 13 Feb 2023 09:49:55 +0530

fonts-smc-chilanka (1.540-1) unstable; urgency=medium

  [ Kartik Mistry ]
  * Team upload.
  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.6.0
    + Minor cleanups.

 -- Kartik Mistry <kartik@debian.org>  Thu, 03 Mar 2022 17:25:42 +0530

=== debian/control ===
Source: fonts-smc-chilanka
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Balasankar C <balasankarc@debian.org>
Build-Depends: debhelper-compat (= 13), fntsample, fontmake, libharfbuzz-bin
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-smc-chilanka.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-smc-chilanka
Homepage: https://smc.org.in
Rules-Requires-Root: no

Package: fonts-smc-chilanka
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Chilanka malayalam font
 This package provides Chilanka font for Malayalam script
 which is primarily used in the state of Kerala. The font is
 developed by SMC community.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*Version(\d\S+).chilanka-Version(\d\S+)\.tar\.gz/chilanka-\2\.tar\.gz/ \
  https://gitlab.com/smc/fonts/chilanka/tags?sort=updated_desc .*chilanka-Version(\d\S+)\.tar\.gz
